org.keycloak.protocol.saml

## Interface SamlConfigAttributes

-     public interface SamlConfigAttributes

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SAML_ARTIFACT_BINDING`
    `static String` | `SAML_ARTIFACT_BINDING_IDENTIFIER`
    `static String` | `SAML_ASSERTION_LIFESPAN`
    `static String` | `SAML_ASSERTION_SIGNATURE`
    `static String` | `SAML_AUTHNSTATEMENT`
    `static String` | `SAML_CANONICALIZATION_METHOD_ATTRIBUTE`
    `static String` | `SAML_CLIENT_SIGNATURE_ATTRIBUTE`
    `static String` | `SAML_ENCRYPT`
    `static String` | `SAML_ENCRYPTION_CERTIFICATE_ATTRIBUTE`
    `static String` | `SAML_ENCRYPTION_PRIVATE_KEY_ATTRIBUTE`
    `static String` | `SAML_FORCE_NAME_ID_FORMAT_ATTRIBUTE`
    `static String` | `SAML_FORCE_POST_BINDING`
    `static String` | `SAML_NAME_ID_FORMAT_ATTRIBUTE`
    `static String` | `SAML_ONETIMEUSE_CONDITION`
    `static String` | `SAML_SERVER_SIGNATURE`
    `static String` | `SAML_SERVER_SIGNATURE_KEYINFO_EXT`
    `static String` | `SAML_SERVER_SIGNATURE_KEYINFO_KEY_NAME_TRANSFORMER`
    `static String` | `SAML_SIGNATURE_ALGORITHM`
    `static String` | `SAML_SIGNING_CERTIFICATE_ATTRIBUTE`
    `static String` | `SAML_SIGNING_PRIVATE_KEY`

- - ### Field Detail

    - #### SAML_SIGNING_PRIVATE_KEY

          static final String SAML_SIGNING_PRIVATE_KEY

      See Also:
        Constant Field Values

    - #### SAML_CANONICALIZATION_METHOD_ATTRIBUTE

          static final String SAML_CANONICALIZATION_METHOD_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### SAML_SIGNATURE_ALGORITHM

          static final String SAML_SIGNATURE_ALGORITHM

      See Also:
        Constant Field Values

    - #### SAML_NAME_ID_FORMAT_ATTRIBUTE

          static final String SAML_NAME_ID_FORMAT_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### SAML_AUTHNSTATEMENT

          static final String SAML_AUTHNSTATEMENT

      See Also:
        Constant Field Values

    - #### SAML_ONETIMEUSE_CONDITION

          static final String SAML_ONETIMEUSE_CONDITION

      See Also:
        Constant Field Values

    - #### SAML_FORCE_NAME_ID_FORMAT_ATTRIBUTE

          static final String SAML_FORCE_NAME_ID_FORMAT_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### SAML_ARTIFACT_BINDING

          static final String SAML_ARTIFACT_BINDING

      See Also:
        Constant Field Values

    - #### SAML_SERVER_SIGNATURE

          static final String SAML_SERVER_SIGNATURE

      See Also:
        Constant Field Values

    - #### SAML_SERVER_SIGNATURE_KEYINFO_EXT

          static final String SAML_SERVER_SIGNATURE_KEYINFO_EXT

      See Also:
        Constant Field Values

    - #### SAML_SERVER_SIGNATURE_KEYINFO_KEY_NAME_TRANSFORMER

          static final String SAML_SERVER_SIGNATURE_KEYINFO_KEY_NAME_TRANSFORMER

      See Also:
        Constant Field Values

    - #### SAML_FORCE_POST_BINDING

          static final String SAML_FORCE_POST_BINDING

      See Also:
        Constant Field Values

    - #### SAML_ASSERTION_SIGNATURE

          static final String SAML_ASSERTION_SIGNATURE

      See Also:
        Constant Field Values

    - #### SAML_ENCRYPT

          static final String SAML_ENCRYPT

      See Also:
        Constant Field Values

    - #### SAML_CLIENT_SIGNATURE_ATTRIBUTE

          static final String SAML_CLIENT_SIGNATURE_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### SAML_SIGNING_CERTIFICATE_ATTRIBUTE

          static final String SAML_SIGNING_CERTIFICATE_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### SAML_ENCRYPTION_CERTIFICATE_ATTRIBUTE

          static final String SAML_ENCRYPTION_CERTIFICATE_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### SAML_ENCRYPTION_PRIVATE_KEY_ATTRIBUTE

          static final String SAML_ENCRYPTION_PRIVATE_KEY_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### SAML_ASSERTION_LIFESPAN

          static final String SAML_ASSERTION_LIFESPAN

      See Also:
        Constant Field Values

    - #### SAML_ARTIFACT_BINDING_IDENTIFIER

          static final String SAML_ARTIFACT_BINDING_IDENTIFIER

      See Also:
        Constant Field Values

Copyright © 2021 JBoss by Red Hat. All rights reserved.